/// <reference types="pcore-pconnect-typedefs" />
import { OnInit, ChangeDetectorRef, OnDestroy } from '@angular/core';
import { FormControl, FormGroup } from '@angular/forms';
import { AngularPConnectData, AngularPConnectService } from '../../../_bridge/angular-pconnect';
import { Utils } from '../../../_helpers/utils';
import { PConnFieldProps } from '../../../_types/PConnProps.interface';
import * as i0 from "@angular/core";
interface IOption {
    key: string;
    value: string;
}
interface DropdownProps extends PConnFieldProps {
    datasource?: any[];
    onRecordChange?: any;
    fieldMetadata?: any;
}
export declare class DropdownComponent implements OnInit, OnDestroy {
    private angularPConnect;
    private cdRef;
    private utils;
    pConn$: typeof PConnect;
    formGroup$: FormGroup;
    angularPConnectData: AngularPConnectData;
    configProps$: DropdownProps;
    label$: string;
    value$: string;
    bRequired$: boolean;
    bReadonly$: boolean;
    bDisabled$: boolean;
    bVisible$: boolean;
    displayMode$?: string;
    controlName$: string;
    bHasForm$: boolean;
    options$: IOption[];
    componentReference: string;
    testId: string;
    helperText: string;
    hideLabel: any;
    fieldControl: FormControl<string | null>;
    fieldMetadata: any[];
    localeContext: string;
    localeClass: string;
    localeName: string;
    localePath: string;
    localizedValue: string;
    constructor(angularPConnect: AngularPConnectService, cdRef: ChangeDetectorRef, utils: Utils);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onStateChange(): void;
    checkAndUpdate(): void;
    updateSelf(): void;
    isSelected(buttonValue: string): boolean;
    fieldOnChange(event: any): void;
    fieldOnBlur(event: any): void;
    getLocalizedOptionValue(opt: IOption): string;
    getErrorMessage(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<DropdownComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DropdownComponent, "app-dropdown", never, { "pConn$": { "alias": "pConn$"; "required": false; }; "formGroup$": { "alias": "formGroup$"; "required": false; }; }, {}, never, never, true, never>;
}
export {};
