/// <reference types="pcore-pconnect-typedefs" />
import { OnInit, ChangeDetectorRef, OnDestroy } from '@angular/core';
import { FormControl, FormGroup } from '@angular/forms';
import { Utils } from '../../../_helpers/utils';
import { AngularPConnectData, AngularPConnectService } from '../../../_bridge/angular-pconnect';
import { PConnFieldProps } from '../../../_types/PConnProps.interface';
import * as i0 from "@angular/core";
interface PhoneProps extends PConnFieldProps {
}
export declare class PhoneComponent implements OnInit, OnDestroy {
    private angularPConnect;
    private cdRef;
    private utils;
    pConn$: typeof PConnect;
    formGroup$: FormGroup;
    angularPConnectData: AngularPConnectData;
    configProps$: PhoneProps;
    label$: string;
    value$: string;
    bRequired$: boolean;
    bReadonly$: boolean;
    bDisabled$: boolean;
    bVisible$: boolean;
    displayMode$?: string;
    controlName$: string;
    bHasForm$: boolean;
    componentReference: string;
    testId: string;
    separateDialCode: boolean;
    afterBlur: boolean;
    helperText: string;
    fieldControl: FormControl<string | null>;
    phoneForm: FormGroup<{
        phone: FormControl<string | null>;
    }>;
    constructor(angularPConnect: AngularPConnectService, cdRef: ChangeDetectorRef, utils: Utils);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onStateChange(): void;
    checkAndUpdate(): void;
    updateSelf(): void;
    fieldOnChange(): void;
    fieldOnBlur(event: any): void;
    getErrorMessage(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<PhoneComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PhoneComponent, "app-phone", never, { "pConn$": { "alias": "pConn$"; "required": false; }; "formGroup$": { "alias": "formGroup$"; "required": false; }; }, {}, never, never, true, never>;
}
export {};
